#######################
## Start up script ##
#######################
#packages needed for running scripts and making graphs/figures
{
  library(vegan)	
  library(readxl)
  library(ape)	
  library(indicspecies)
  library(ggplot2)	
  library(RColorBrewer)
  library(tidyr)
  library(plyr)
  library(doBy)
  library(rstatix)
  library(VennDiagram)
  library(eulerr)
  library(cowplot)
  library(hilldiv)
  library(dplyr)
  library(doBy)
  
  #colours and shapes for plotting
  rawfill<-c("#332288","#44AA99","#C76308")
  rawfill2<-c("#332288","#44AA99")
  fill12<-c("#98D1EC","#1A1242", "#FFC107", "#8D0749", "#63ADA0", "#3240C5", "#E87822", "#AA4499", "#878788", "#0078FF", "#B93A08","#194201")
  fill13<-c("#98D1EC","#1A1242", "#B93A08", "#FFC107", "#8D0749", "#63ADA0", "#3240C5", "#E87822", "#AA4499", "#878788", "#0078FF", "#194201", "black")
  vennfill<-c("#332288","#44AA99")
  InvasivesCol<-c("Invasive to Tasmania"="#8D0749", "Native in Tasmania"="#0078FF", "Introduced to Tasmania"="#E87822", "Unclear"="#1A1242")
  eDNAshape<-c("12L"=21, "2L"=23)
  CPR_eDNAvals<-c("CPR"="#C76308", "12L"="#332288", "2L"="#44AA99")
  CPR_eDNAvals2<-c("CPR"="#C76308", "LargeVF-eDNA"="#332288", "SmallVF-eDNA"="#44AA99")
  eulerfill<-c("2L eDNA"= "#332288","12L eDNA" = "#44AA99", "CPR"= "#C76308")
  
  #violin plot function for volume
  #adapted from:Suter, L., Polanowski, A. M., Clarke, L. J., Kitchener, J. A., & Deagle, B. E. (2021). Capturing open ocean biodiversity: comparing environmental DNA metabarcoding to the continuous plankton recorder. Molecular ecology, 30(13), 3140-3157
  
  violin.plot <- function(data, ydata, col = col.plot, fill = fill.plot, title = NULL, ylab = NULL, limits = NULL, ylow, yhigh) {
    p <- ggplot(data, aes(Type, ydata, color = Type, fill = Type)) + 
      geom_violin() + 
      geom_jitter(height = 0, width = 0.1) +
      scale_color_manual(values=col) + 
      scale_fill_manual(values = scales::alpha(fill, 0.2)) +
      theme_minimal() +
      labs(title = title, y = ylab, x = NULL) + 
      theme(legend.position = "none") +
      scale_x_discrete(labels=c("LargeVF", "SmallVF"), limits = limits)+
      ylim(ylow, yhigh)
    p
    
  }
  
}



